+ 2

Compiled with problems: export 'default' (imported as 'firebase') was not found in 'firebase/app'

import firebase from 'firebase/app'; import { auth } from '../misc/firebase'; According to v9 update, I've changed the import statement but the error still persists import firebase from 'firebase/compat/app';

20th Nov 2022, 4:25 PM
Asha
Asha - avatar
1 Answer
+ 1
So, alongwith the files where you're using firebase, you've to update the new syntax in firebase.js too. I kinda missed on that, that's why the error keep occurring. Changes made: import firebase from 'firebase/compat/app'; import 'firebase/compat/auth';
20th Nov 2022, 5:07 PM
Asha
Asha - avatar